# Uses of Enum Class
javax.net.ssl.SSLEngineResult.Status

Packages that use SSLEngineResult.Status
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

- ## Uses of SSLEngineResult.Status in javax.net.ssl

  Subclasses with type arguments of type SSLEngineResult.Status in javax.net.ssl
  Modifier and Type
  Class
  Description
  `static enum`
  `SSLEngineResult.Status`
  An `SSLEngineResult` enum describing the overall result of the `SSLEngine` operation.
  Methods in javax.net.ssl that return SSLEngineResult.Status
  Modifier and Type
  Method
  Description
  `final SSLEngineResult.Status`
  SSLEngineResult.`getStatus()`
  Gets the return value of this `SSLEngine` operation.
  `static SSLEngineResult.Status`
  SSLEngineResult.Status.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SSLEngineResult.Status[]`
  SSLEngineResult.Status.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in javax.net.ssl with parameters of type SSLEngineResult.Status
  Modifier
  Constructor
  Description
  ``
  `SSLEngineResult(SSLEngineResult.Status status, SSLEngineResult.HandshakeStatus handshakeStatus, int bytesConsumed, int bytesProduced)`
  Initializes a new instance of this class.
  ``
  `SSLEngineResult(SSLEngineResult.Status status, SSLEngineResult.HandshakeStatus handshakeStatus, int bytesConsumed, int bytesProduced, long sequenceNumber)`
  Initializes a new instance of this class.